Mailinglist Archive: opensuse-factory (1193 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20180212 released!

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20180212

When you reply to report some issues, make sure to change the subject.
It is not helpful to keep the release announcement subject in a thread
while discussing a specific problem.

Packages changed:
AppStream
akonadi-calendar (17.12.1 -> 17.12.2)
akonadi-calendar-tools (17.12.1 -> 17.12.2)
akonadi-contact (17.12.1 -> 17.12.2)
akonadi-import-wizard (17.12.1 -> 17.12.2)
akonadi-mime (17.12.1 -> 17.12.2)
akonadi-notes (17.12.1 -> 17.12.2)
akonadi-search (17.12.1 -> 17.12.2)
akonadi-server (17.12.1 -> 17.12.2)
akregator (17.12.1 -> 17.12.2)
ark (17.12.1 -> 17.12.2)
autofs
autoyast2 (4.0.29 -> 4.0.30)
baloo5-widgets (17.12.1 -> 17.12.2)
calendarsupport (17.12.1 -> 17.12.2)
ceph (13.0.0.5171+g4d4101fe78 -> 13.0.1.1567+gae149ea5f9)
chrony
crash
digikam
dolphin (17.12.1 -> 17.12.2)
dragonplayer (17.12.1 -> 17.12.2)
drbd (9.0.12+git.7eb4aef -> 9.0.12+git.969e477d)
eventviews (17.12.1 -> 17.12.2)
flatpak (0.10.2.1 -> 0.10.3)
gnutls
grantleetheme (17.12.1 -> 17.12.2)
gwenview5 (17.12.1 -> 17.12.2)
incidenceeditor (17.12.1 -> 17.12.2)
kaccounts-integration (17.12.1 -> 17.12.2)
kaccounts-providers (17.12.1 -> 17.12.2)
kaddressbook (17.12.1 -> 17.12.2)
kalarmcal (17.12.1 -> 17.12.2)
kamera (17.12.1 -> 17.12.2)
kate (17.12.1 -> 17.12.2)
kcalc (17.12.1 -> 17.12.2)
kcalcore (17.12.1 -> 17.12.2)
kcalutils (17.12.1 -> 17.12.2)
kcharselect (17.12.1 -> 17.12.2)
kcolorchooser (17.12.1 -> 17.12.2)
kcontacts (17.12.1 -> 17.12.2)
kdav (17.12.1 -> 17.12.2)
kdenetwork4-filesharing (17.12.1 -> 17.12.2)
kdepim-addons (17.12.1 -> 17.12.2)
kdepim-apps-libs (17.12.1 -> 17.12.2)
kdepim-runtime (17.12.1 -> 17.12.2)
kdialog (17.12.1 -> 17.12.2)
kget (17.12.1 -> 17.12.2)
kgpg (17.12.1 -> 17.12.2)
khelpcenter5 (17.12.1 -> 17.12.2)
kholidays (17.12.1 -> 17.12.2)
kidentitymanagement (17.12.1 -> 17.12.2)
kimap (17.12.1 -> 17.12.2)
kio-extras5 (17.12.1 -> 17.12.2)
kio_audiocd (17.12.1 -> 17.12.2)
kldap (17.12.1 -> 17.12.2)
kleopatra (17.12.1 -> 17.12.2)
kmag (17.12.1 -> 17.12.2)
kmail (17.12.1 -> 17.12.2)
kmail-account-wizard (17.12.1 -> 17.12.2)
kmailtransport (17.12.1 -> 17.12.2)
kmbox (17.12.1 -> 17.12.2)
kmime (17.12.1 -> 17.12.2)
kmousetool (17.12.1 -> 17.12.2)
knotes (17.12.1 -> 17.12.2)
kompare (17.12.1 -> 17.12.2)
konqueror (17.12.1 -> 17.12.2)
konsole (17.12.1 -> 17.12.2)
kontact (17.12.1 -> 17.12.2)
kontactinterface (17.12.1 -> 17.12.2)
korganizer (17.12.1 -> 17.12.2)
kpimtextedit (17.12.1 -> 17.12.2)
kruler (17.12.1 -> 17.12.2)
ksmtp (17.12.1 -> 17.12.2)
ktnef (17.12.1 -> 17.12.2)
kwalletmanager5 (17.12.1 -> 17.12.2)
libgexiv2 (0.10.7 -> 0.10.8)
libgravatar (17.12.1 -> 17.12.2)
libguestfs (1.36.5 -> 1.38.0)
libkcddb (17.12.1 -> 17.12.2)
libkcompactdisc (17.12.1 -> 17.12.2)
libkdcraw (17.12.1 -> 17.12.2)
libkdepim (17.12.1 -> 17.12.2)
libkexiv2 (17.12.1 -> 17.12.2)
libkgapi (17.12.1 -> 17.12.2)
libkipi (17.12.1 -> 17.12.2)
libkleo (17.12.1 -> 17.12.2)
libkomparediff2 (17.12.1 -> 17.12.2)
libksane (17.12.1 -> 17.12.2)
libksieve (17.12.1 -> 17.12.2)
libostree (2017.15 -> 2018.1)
libqt5-qtbase
libstorage-ng (3.3.149 -> 3.3.156)
lzop
mailcommon (17.12.1 -> 17.12.2)
mailimporter (17.12.1 -> 17.12.2)
marble (17.12.1 -> 17.12.2)
mdadm
messagelib (17.12.1 -> 17.12.2)
mobipocket (17.12.1 -> 17.12.2)
okular (17.12.1 -> 17.12.2)
p7zip
patterns-yast (20180105 -> 20180209)
pciutils-ids (20171206 -> 20180208)
perl-DateTime-Format-Strptime (1.74 -> 1.75)
perl-Sub-Quote (2.004000 -> 2.005000)
pimcommon (17.12.1 -> 17.12.2)
python-M2Crypto (0.27.0 -> 0.28.2)
python-cryptography
ruby-common
sg3_utils
slang
snappy (1.1.3 -> 1.1.7)
spectacle (17.12.1 -> 17.12.2)
syndication (17.12.1 -> 17.12.2)
usbutils (008 -> 009)
xdm
yast2 (4.0.49 -> 4.0.50)
yast2-add-on (4.0.5 -> 4.0.6)
yast2-bootloader (4.0.15 -> 4.0.16)
yast2-country (4.0.19 -> 4.0.20)
yast2-firewall (4.0.11 -> 4.0.12)
yast2-packager (4.0.35 -> 4.0.37)
yast2-schema (3.2.0 -> 4.0.0)
yast2-storage-ng (4.0.84 -> 4.0.91)
yast2-trans (84.87.20171214.b62b0550c -> 84.87.20180208.cf7cad734)
yast2-update (4.0.8 -> 4.0.9)
zstd

=== Details ===

==== AppStream ====
Subpackages: AppStream-lang libAppStreamQt2 libappstream4

- appstreamcli can use curl for some checks, so recommend it (boo#1080446)

==== akonadi-calendar ====
Version update (17.12.1 -> 17.12.2)
Subpackages: akonadi-calendar-lang libKF5AkonadiCalendar5

- Update to 17.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
* None

==== akonadi-calendar-tools ====
Version update (17.12.1 -> 17.12.2)
Subpackages: akonadi-calendar-tools-lang

- Update to 17.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
* None

==== akonadi-contact ====
Version update (17.12.1 -> 17.12.2)
Subpackages: akonadi-contact-lang libKF5AkonadiContact5 libKF5ContactEditor5

- Update to 17.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
* None

==== akonadi-import-wizard ====
Version update (17.12.1 -> 17.12.2)
Subpackages: akonadi-import-wizard-lang libKPimImportWizard5

- Update to 17.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
* None

==== akonadi-mime ====
Version update (17.12.1 -> 17.12.2)
Subpackages: akonadi-mime-lang libKF5AkonadiMime5

- Update to 17.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
* None

==== akonadi-notes ====
Version update (17.12.1 -> 17.12.2)
Subpackages: akonadi-notes-lang libKF5AkonadiNotes5

- Update to 17.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
* None

==== akonadi-search ====
Version update (17.12.1 -> 17.12.2)
Subpackages: akonadi-search-lang libKF5AkonadiSearch

- Update to 17.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
* Handle DatabaseModifiedError when querying email contacts (kde#369056)
* Handle DatabaseCorruptError exception in ContactCompleter

==== akonadi-server ====
Version update (17.12.1 -> 17.12.2)
Subpackages: akonadi-server-lang akonadi-server-sqlite libKF5AkonadiAgentBase5
libKF5AkonadiCore5 libKF5AkonadiPrivate5 libKF5AkonadiWidgets5 libKF5AkonadiXml5

- Update to 17.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
* Fix ItemModifyJob for Item's with only clearPayload flag set

==== akregator ====
Version update (17.12.1 -> 17.12.2)
Subpackages: akregator-lang

- Update to 17.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
* None

==== ark ====
Version update (17.12.1 -> 17.12.2)
Subpackages: ark-lang libkerfuffle17

- Update to 17.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
* CreateDialog: remove trailing whitespace after last separator
* libarchive: check isInterruptionRequested() in copyData()

==== autofs ====

- 0001-use_hostname_for_mounts-shouldn-t-prevent-selection-.patch
Fix handling of replicated NFS server so that
selection between servers still works sensibly when
use_hostname_for_mounts is in effect.
(bsc#1066720)
- 0002-Fix-monotonic_elapsed.patch
Fix bug introduced with monotonic-time patches which
causes nanoseconds to be ignored and effectively
disables sorting based on response time and/or weight.
(bsc#1066720)

==== autoyast2 ====
Version update (4.0.29 -> 4.0.30)
Subpackages: autoyast2-installation

- fate#323373
- Xinetd and yast2-inetd are not supported. Marking respective
autoyast section as obsolete.
- 4.0.30

==== baloo5-widgets ====
Version update (17.12.1 -> 17.12.2)
Subpackages: baloo5-widgets-lang

- Update to 17.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
* None

==== calendarsupport ====
Version update (17.12.1 -> 17.12.2)
Subpackages: calendarsupport-lang libKF5CalendarSupport5

- Update to 17.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
* None

==== ceph ====
Version update (13.0.0.5171+g4d4101fe78 -> 13.0.1.1567+gae149ea5f9)
Subpackages: librados2 librbd1

- Update to version 13.0.1-1567-gae149ea5f9:
+ increment upstream version number to 13.0.1 (mimic dev release)
+ spec file:
* enable --without-python2 bcond for all distros (the Build Service will
control py2/3 build via this option)

==== chrony ====

- Enable pps support

==== crash ====

- Added:
crash-fix-error-cannot-resolve-schedulers-0001.patch
crash-fix-error-cannot-resolve-schedulers-0002.patch
crash-extend-direct-mapping-to-5TB.patch
Fixes Xen dump files that cannot be opened in hypervisor mode.
bsc#1073993

==== digikam ====
Subpackages: kipi-plugins kipi-plugins-lang

- Fix broken rebase of 0001-Disable-detection-of-OpenGL-for-GLES-platforms.patch

==== dolphin ====
Version update (17.12.1 -> 17.12.2)
Subpackages: dolphin-part libdolphinvcs5

- Update to 17.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
* Let the terminal panel dock to any part of the window (kde#362593)
* Folderspanel's context-menu option "Limit to Home Directory" is always
visible
* folderspanel context-menu option "Limit to Home Directory" should be always
visible

==== dragonplayer ====
Version update (17.12.1 -> 17.12.2)
Subpackages: dragonplayer-lang

- Update to 17.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
* None

==== drbd ====
Version update (9.0.12+git.7eb4aef -> 9.0.12+git.969e477d)

- bsc#1080458, enable build with kernel-rt on x86_64.
- bsc#1080459, support build against 4.15.0.
setup_timer() change to timer_setup()
- Add patch support-timer-setup.patch

==== eventviews ====
Version update (17.12.1 -> 17.12.2)
Subpackages: eventviews-lang libKF5EventViews5

- Update to 17.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
* timelabels.cpp - fix invalid times when using multiple timezones BUG:
369365 FIXED-IN: 5.7.2 (kde#369365)

==== flatpak ====
Version update (0.10.2.1 -> 0.10.3)
Subpackages: libflatpak0 typelib-1_0-Flatpak-1_0

- Update to version 0.10.3:
+ Fix vulnerability in dbus proxy.
+ Fix incorrect error message in update --appstream.
+ Ignore unknown permission requests.
+ remote-info: Fix --show-metadata behavior.
+ common: Fix division by zero when calculate progress.
+ common/dir: Add a missing OstreeAsyncProgress default key.
+ lib/installation: Fix install/update_full() subpaths
annotation.
+ app: Fix "multiple installations" prompt.
+ common/dir: Use an actual function for autoptr support without
P2P.
+ Update Polish translation.

==== gnutls ====
Subpackages: libgnutls-dane0 libgnutls-devel libgnutls30 libgnutls30-32bit

- Sanity check key size in SSSE3 AES cipher implementation (bsc#1074303)
* add gnutls-check_aes_keysize.patch

==== grantleetheme ====
Version update (17.12.1 -> 17.12.2)
Subpackages: grantleetheme-lang libKF5GrantleeTheme5

- Update to 17.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
* None

==== gwenview5 ====
Version update (17.12.1 -> 17.12.2)
Subpackages: gwenview5-lang

- Update to 17.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
* Resize top bar in fullscreen view mode on toggling sidebar (kde#387784)
* Disable auto saving window size in fullscreen mode

==== incidenceeditor ====
Version update (17.12.1 -> 17.12.2)
Subpackages: incidenceeditor-lang libKF5IncidenceEditor5

- Update to 17.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
* Fix use-after-free (kde#356053)

==== kaccounts-integration ====
Version update (17.12.1 -> 17.12.2)
Subpackages: kaccounts-integration-lang libkaccounts1

- Update to 17.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
* None

==== kaccounts-providers ====
Version update (17.12.1 -> 17.12.2)
Subpackages: kaccounts-providers-lang

- Update to 17.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
* None

==== kaddressbook ====
Version update (17.12.1 -> 17.12.2)
Subpackages: kaddressbook-lang

- Update to 17.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
* None

==== kalarmcal ====
Version update (17.12.1 -> 17.12.2)
Subpackages: kalarmcal-lang libKF5AlarmCalendar5

- Update to 17.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
* None

==== kamera ====
Version update (17.12.1 -> 17.12.2)
Subpackages: kamera-lang kio_kamera

- Update to 17.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
* None

==== kate ====
Version update (17.12.1 -> 17.12.2)
Subpackages: kate-lang kate-plugins

- Update to 17.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
* Revert "Clear konsole command-line before directory change"
* Make connection unique to not trigger flood of slot calls.
* Fix a couple of regressions in the conversion to modern connect()
(kde#388752)

==== kcalc ====
Version update (17.12.1 -> 17.12.2)
Subpackages: kcalc-lang

- Update to 17.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
* None

==== kcalcore ====
Version update (17.12.1 -> 17.12.2)

- Update to 17.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
* Remove unused unistd.h include
* define strncasecmp and strcasecmp on Windows
* Remove strings.h include
* icalformat: remove QByteArray->QString->QByteArray roundtrip.

==== kcalutils ====
Version update (17.12.1 -> 17.12.2)
Subpackages: kcalutils-lang libKF5CalendarUtils5

- Update to 17.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
* None

==== kcharselect ====
Version update (17.12.1 -> 17.12.2)
Subpackages: kcharselect-lang

- Update to 17.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
* None

==== kcolorchooser ====
Version update (17.12.1 -> 17.12.2)
Subpackages: kcolorchooser-lang

- Update to 17.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
* None

==== kcontacts ====
Version update (17.12.1 -> 17.12.2)
Subpackages: kcontacts-lang libKF5Contacts5

- Update to 17.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
* None

==== kdav ====
Version update (17.12.1 -> 17.12.2)
Subpackages: libKPimKDAV5

- Update to 17.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
* None

==== kdenetwork4-filesharing ====
Version update (17.12.1 -> 17.12.2)
Subpackages: kdenetwork4-filesharing-lang

- Update to 17.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
* None

==== kdepim-addons ====
Version update (17.12.1 -> 17.12.2)
Subpackages: kdepim-addons-lang

- Update to 17.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
* it uses https
* This service uses https now

==== kdepim-apps-libs ====
Version update (17.12.1 -> 17.12.2)
Subpackages: kdepim-apps-libs-lang

- Update to 17.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
* None

==== kdepim-runtime ====
Version update (17.12.1 -> 17.12.2)
Subpackages: kdepim-runtime-lang

- Update to 17.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
* Maildir: upload empty email bodies as a whitespace
* Don't insert invalid google accounts into the access list
* Fix duplicated entries in Google Calendar and Tasks resource settings dialog

==== kdialog ====
Version update (17.12.1 -> 17.12.2)
Subpackages: kdialog-lang

- Update to 17.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
* None

==== kget ====
Version update (17.12.1 -> 17.12.2)
Subpackages: kget-lang

- Update to 17.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
* TrayIcon: Explicitly show/hide the main window if requested (kde#389663)
* [newTransferDialog] Don't explicitly call checkInput() with KIO 5.42+

==== kgpg ====
Version update (17.12.1 -> 17.12.2)
Subpackages: kgpg-lang

- Update to 17.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
* None

==== khelpcenter5 ====
Version update (17.12.1 -> 17.12.2)
Subpackages: khelpcenter5-lang

- Update to 17.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
* None

==== kholidays ====
Version update (17.12.1 -> 17.12.2)

- Update to 17.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
* None

==== kidentitymanagement ====
Version update (17.12.1 -> 17.12.2)
Subpackages: kidentitymanagement-lang libKF5IdentityManagement5

- Update to 17.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
* None

==== kimap ====
Version update (17.12.1 -> 17.12.2)
Subpackages: kimap-lang libKF5IMAP5

- Update to 17.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
* None

==== kio-extras5 ====
Version update (17.12.1 -> 17.12.2)
Subpackages: kio-extras5-lang libkioarchive5

- Update to 17.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
* None

==== kio_audiocd ====
Version update (17.12.1 -> 17.12.2)
Subpackages: kio_audiocd-lang

- Update to 17.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
* None

==== kldap ====
Version update (17.12.1 -> 17.12.2)
Subpackages: kldap-lang libKF5Ldap5

- Update to 17.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
* None

==== kleopatra ====
Version update (17.12.1 -> 17.12.2)
Subpackages: kleopatra-lang

- Update to 17.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
* Fix crash if compliance is not known to gnupg (kde#389291)

==== kmag ====
Version update (17.12.1 -> 17.12.2)
Subpackages: kmag-lang

- Update to 17.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
* None

==== kmail ====
Version update (17.12.1 -> 17.12.2)
Subpackages: kmail-application-icons kmail-lang ktnef

- Update to 17.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
* Fix Bug 388953 - Apply filters on folder doesn't work anymore (kde#388953)

==== kmail-account-wizard ====
Version update (17.12.1 -> 17.12.2)
Subpackages: kmail-account-wizard-lang

- Update to 17.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
* None

==== kmailtransport ====
Version update (17.12.1 -> 17.12.2)
Subpackages: kmailtransport-lang libKF5MailTransport5
libKF5MailTransportAkonadi5

- Update to 17.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
* Fix Bug 388573 - Draft message is confused about mail transport (kde#388573)

==== kmbox ====
Version update (17.12.1 -> 17.12.2)

- Update to 17.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
* None

==== kmime ====
Version update (17.12.1 -> 17.12.2)
Subpackages: kmime-lang libKF5Mime5

- Update to 17.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
* Fix bug in parsing dates that fall in the DST "non existant hour"

==== kmousetool ====
Version update (17.12.1 -> 17.12.2)
Subpackages: kmousetool-lang

- Update to 17.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
* None

==== knotes ====
Version update (17.12.1 -> 17.12.2)
Subpackages: knotes-lang

- Update to 17.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
* Fix strech position

==== kompare ====
Version update (17.12.1 -> 17.12.2)
Subpackages: kompare-lang

- Update to 17.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
* None

==== konqueror ====
Version update (17.12.1 -> 17.12.2)
Subpackages: konqueror-devel konqueror-lang

- Update to 17.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
* None

==== konsole ====
Version update (17.12.1 -> 17.12.2)
Subpackages: konsole-part

- Update to 17.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
* None

==== kontact ====
Version update (17.12.1 -> 17.12.2)
Subpackages: kontact-lang

- Update to 17.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
* None

==== kontactinterface ====
Version update (17.12.1 -> 17.12.2)
Subpackages: kontactinterface-lang libKF5KontactInterface5

- Update to 17.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
* None

==== korganizer ====
Version update (17.12.1 -> 17.12.2)
Subpackages: korganizer-lang

- Update to 17.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
* None

==== kpimtextedit ====
Version update (17.12.1 -> 17.12.2)
Subpackages: kpimtextedit-lang libKF5PimTextEdit5

- Update to 17.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
* None

==== kruler ====
Version update (17.12.1 -> 17.12.2)
Subpackages: kruler-lang

- Update to 17.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
* None

==== ksmtp ====
Version update (17.12.1 -> 17.12.2)
Subpackages: ksmtp-lang libKPimSMTP5

- Update to 17.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
* Fix autotests
* SMTP: fix truncated attachment if it contains a line with a single dot

==== ktnef ====
Version update (17.12.1 -> 17.12.2)
Subpackages: ktnef-lang libKF5Tnef5

- Update to 17.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
* None

==== kwalletmanager5 ====
Version update (17.12.1 -> 17.12.2)
Subpackages: kwalletmanager5-lang

- Update to 17.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
* None

==== libgexiv2 ====
Version update (0.10.7 -> 0.10.8)

- Update to version 0.10.8:
+ Do not use linker scripts on Drawin/OS X.
+ Fallback to AperturValue if FNumber is absent.
+ Fix GIR header and vapi when using meson.
+ Bugs fixed: bgo#791941, bgo#792239, bgo#792431.

==== libgravatar ====
Version update (17.12.1 -> 17.12.2)
Subpackages: libKF5Gravatar5 libgravatar-lang

- Update to 17.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
* None

==== libguestfs ====
Version update (1.36.5 -> 1.38.0)
Subpackages: guestfs-data libguestfs0 python3-libguestfs

- update to version 1.38.0:
* Virt-builder-repository is a new tool allowing end users to
create and update virt-builder repositories. (fate#318952)
* Virt-rescue has been substantially rewritten, implementing job
control, -m and -i options, escape keys, etc.
* Virt-builder planner has been improved so that faster and more
efficient build plans are chosen for complex cases, especially when
either the tmpdir or output is on networked storage.
* Virt-customize now sets a random /etc/machine-id for Linux guests, if
one is not already set.
* Virt-df now works correctly on filesystems with block sizes smaller
than 1K.
* Virt-dib has further compatibility enhancements with diskimage-builder.
* Virt-sysprep removes "DHCP_HOSTNAME" from ifcfg-* files.
* Virt-resize now correctly copies GPT partition attributes from the
source to the destination. (bsc#1074585)
* Bash tab completion implemented or enhanced for: virt-win-reg,
virt-v2v-copy-to-local.
* Both virt-v2v and virt-p2v are now able to pass through the source CPU
vendor, model and topology.
* Virt-v2v now supports encrypted guests.
* Virt-v2v now detects the special Linux Xen PV-only kernels correctly
* Virt-v2v -o glance now generates the right properties for UEFI guests
* Virt-v2v -o null now avoids spooling the guest to a temporary file,
instead it writes to the qemu "null block device". This makes it
faster and use almost no disk space.
* Virt-v2v -i libvirtxml can now open network disks over http or https.
* Virt-v2v will now give a warning about host passthrough devices
* Inspection support was rewritten in OCaml and included inside the
daemon. This makes inspection considerably faster, more robust and
more easily extensible in future.
* The libguestfs API is now thread-safe (although not parallel). You can
call APIs on the same handle from multiple threads without needing to
take a lock.
- Removed patches:
531316cc-build-improve-and-simplify-distro-detection.patch
9d25b4e5-python-add-simple-wrappers-for-PyObject-string-funct.patch
f3f99a09-python-use-right-func-when-PyString_FromStringAndSiz.patch
- Added patches:
d0e5a819-python-Fix-missing-additional-backslashes.patch

==== libkcddb ====
Version update (17.12.1 -> 17.12.2)

- Update to 17.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
* None

==== libkcompactdisc ====
Version update (17.12.1 -> 17.12.2)
Subpackages: libKF5CompactDisc5 libkcompactdisc-lang

- Update to 17.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
* None

==== libkdcraw ====
Version update (17.12.1 -> 17.12.2)
Subpackages: libKF5KDcraw5 libkdcraw-devel

- Update to 17.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
* None

==== libkdepim ====
Version update (17.12.1 -> 17.12.2)
Subpackages: libKF5Libkdepim5 libKF5LibkdepimAkonadi5 libkdepim-lang

- Update to 17.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
* None

==== libkexiv2 ====
Version update (17.12.1 -> 17.12.2)
Subpackages: libKF5KExiv2-15_0_0 libkexiv2-devel

- Update to 17.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
* None

==== libkgapi ====
Version update (17.12.1 -> 17.12.2)
Subpackages: libKPimGAPICalendar5 libKPimGAPIContacts5 libKPimGAPICore5
libKPimGAPITasks5 libkgapi-lang

- Update to 17.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
* Fix oauth focus (kde#389263)
* Reenable setting the authentication URL
* Retrieve OAuth2 token with HTTP socket
* Check for the correct "kind" strings
* Fix token page URL (kde#388483)
- Dropped patches, now upstream:
* Fix-token-page-URL.patch

==== libkipi ====
Version update (17.12.1 -> 17.12.2)
Subpackages: libKF5Kipi32_0_0 libkipi-data libkipi-devel

- Update to 17.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
* None

==== libkleo ====
Version update (17.12.1 -> 17.12.2)
Subpackages: libKF5Libkleo5 libkleo-lang

- Update to 17.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
* None

==== libkomparediff2 ====
Version update (17.12.1 -> 17.12.2)
Subpackages: libkomparediff2-5 libkomparediff2-lang

- Update to 17.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
* None

==== libksane ====
Version update (17.12.1 -> 17.12.2)
Subpackages: libKF5Sane5 libksane-devel libksane-lang

- Update to 17.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
* Fix translations from Sane

==== libksieve ====
Version update (17.12.1 -> 17.12.2)
Subpackages: libksieve-lang

- Update to 17.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
* None

==== libostree ====
Version update (2017.15 -> 2018.1)
Subpackages: libostree-1-1

- Update to version 2018.1:
+ Support for booting without initramfs.
+ bash/ostree: add missing --add-metadata option.
+ bin/commit: add --keep-metadata option.
+ bin/commit: move parent checking code higher up.
+ bin: Fix cookie builtin build with curl but no soup.
+ build-sys: Allow building with curl, but without libsoup.
+ build-sys: Link with -ldl for rust build.
+ deploy: add --karg-none argument.
+ find-remotes: Add --finders option.
+ grub2: Exit gracefully if there's no system ostree repository.
+ lib/checkout: Validate pathnames during checkout.
+ lib/fetcher: Add version to USER_AGENT string.
+ lib/pull: allways include ostree-repo-pull-private.h.
+ lib: Validate metadata structure more consistently during pull.
+ ostree-prepare-root: enabler for simpler kernel arg.
+ rofiles: Add --copyup option.
+ rofiles: Fix --copyup when creating a new file.

==== libqt5-qtbase ====
Subpackages: libQt5Concurrent-devel libQt5Concurrent5 libQt5Core-devel
libQt5Core-private-headers-devel libQt5Core5 libQt5DBus-devel libQt5DBus5
libQt5Gui-devel libQt5Gui-private-headers-devel libQt5Gui5 libQt5Network-devel
libQt5Network5 libQt5OpenGL-devel libQt5OpenGL5 libQt5PlatformHeaders-devel
libQt5PrintSupport-devel libQt5PrintSupport5 libQt5Sql-devel libQt5Sql5
libQt5Sql5-mysql libQt5Sql5-postgresql libQt5Sql5-sqlite libQt5Sql5-unixODBC
libQt5Test-devel libQt5Test5 libQt5Widgets-devel libQt5Widgets5 libQt5Xml-devel
libQt5Xml5 libqt5-qtbase-common-devel libqt5-qtbase-devel
libqt5-qtbase-platformtheme-gtk3

- Add patch to fix plugin loading with newer MariaDB versions:
* 0001-Extend-the-MariaDB-define-check-to-cover-the-later-v.patch

==== libstorage-ng ====
Version update (3.3.149 -> 3.3.156)
Subpackages: libstorage-ng-ruby libstorage-ng1

- merge gh#openSUSE/libstorage-ng#459
- extended unit tests
- added and improved math functions
- do not rely on 80-bit floats (bsc#1078997)
- added unit test
- added note
- 3.3.156
- merge gh#openSUSE/libstorage-ng#458
- removed deprecated functions
- updated unit test
- 3.3.155
- merge gh#openSUSE/libstorage-ng#457
- improved error logging
- 3.3.154
- merge gh#openSUSE/libstorage-ng#454
- allow to set ssh port
- 3.3.153
- merge gh#openSUSE/libstorage-ng#456
- fetch the full history in travis so the log can be generated
correctly
- 3.3.152
- Translated using Weblate (Dutch)
- 3.3.151
- merge gh#openSUSE/libstorage-ng#453
- added parser for stat
- ignore disks without node in /dev (bsc#1076971)
- coding style
- 3.3.150
- Translated using Weblate (Dutch)

==== lzop ====

- Use pkgconfig style dependencies
- Mark license as such

==== mailcommon ====
Version update (17.12.1 -> 17.12.2)
Subpackages: libKF5MailCommon5 mailcommon-lang

- Update to 17.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
* None

==== mailimporter ====
Version update (17.12.1 -> 17.12.2)
Subpackages: libKF5MailImporter5 libKF5MailImporterAkonadi5 mailimporter-lang

- Update to 17.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
* None

==== marble ====
Version update (17.12.1 -> 17.12.2)
Subpackages: libastro1 libmarblewidget-qt5-28 marble-devel

- Update to 17.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
* None

==== mdadm ====

- policy.c: Avoid to take spare without defined domain by imsm
(bsc#1076588)
0209-policy.c-Avoid-to-take-spare-without-defined-domain-.patch

==== messagelib ====
Version update (17.12.1 -> 17.12.2)
Subpackages: messagelib-lang

- Update to 17.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
* Add normal text too. So we can switch from html to normal text too

==== mobipocket ====
Version update (17.12.1 -> 17.12.2)

- Update to 17.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
* None

==== okular ====
Version update (17.12.1 -> 17.12.2)
Subpackages: okular-lang

- Update to 17.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
* Add pdf.gz file save test
* Fix saving annotations to gzipped files (kde#338742)
* Fix crash on save when we had edited forms
* parttest: make the mouse selection be a few steps
* Use correct arrow cursor for Annotations' close buttons (kde#384381)
* Improve parttest a bit
* Fix regression due to more QTemporaryFile behaviour changes
* Fix crash when exporting
* djvu: Fix printing

==== p7zip ====

- add p7zip-16.02-CVE-2017-17969.patch to fix a heap-based buffer
overflow in a shrink decoder [bnc#1077725], [CVE-2017-17969]

==== patterns-yast ====
Version update (20180105 -> 20180209)
Subpackages: patterns-yast-x11_yast patterns-yast-yast2_basis
patterns-yast-yast2_install_wf

- Remove dropped yast2-inetd (fate#323373)
- 20180209

==== pciutils-ids ====
Version update (20171206 -> 20180208)

- Update to 20180208

==== perl-DateTime-Format-Strptime ====
Version update (1.74 -> 1.75)

- updated to 1.75
see /usr/share/doc/packages/perl-DateTime-Format-Strptime/Changes
1.75 2017-12-24
- Fixed tests to pass with blead Perl. Reported by James Keenan. GH #19.

==== perl-Sub-Quote ====
Version update (2.004000 -> 2.005000)

- updated to 2.005000
see /usr/share/doc/packages/perl-Sub-Quote/Changes
2.005000 - 2018-02-06
- fixed defer_info and undefer_sub from returning data for a deferred sub
after it expires, even if the ref address matches
- fixed defer_info not returning info for undeferred unnamed subs after the
deferred sub expires
- include options in defer_info return data
- exclude internals from defer_info return data
- document defer_info function
- encode all utf8 flagged scalars as strings, since they generally will
always have originated as strings. Avoids future warning on bitwise ops
on strings with wide characters.
- more thorough check for threads availability to avoid needless test
failures.
- added file and line options to quote_sub to allow specifying apparent
source location.
- documented additional options to Sub::Defer::defer_sub and
Sub::Quote::quote_sub.

==== pimcommon ====
Version update (17.12.1 -> 17.12.2)
Subpackages: libKF5PimCommon5 libKF5PimCommonAkonadi5 pimcommon-lang

- Update to 17.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
* None

==== python-M2Crypto ====
Version update (0.27.0 -> 0.28.2)

- Update to 0.28.2:
* Fix ppc builds
- Enable tests, fix docu install phase
- Removed obsolete patches fix-build-python3.diff
and fix-openssl-include-path.diff
- Update to 0.28.1
* compability with Python 3
* building on Mac OS X should be now more reliable and automagic
* Fix licence in metadata: it is MIT, not BSD
* Fix and add tests for SWIG/_aes.i module
* Bundle-in unittest2 for Python 2.6
* Remove all PGP modules

==== python-cryptography ====
Subpackages: python2-cryptography python3-cryptography

- Fix previous change and explicitly require python2 instead of
python because python itself is also provided by python3.
This fixes:
ImportError: No module named _ssl
when using python-cryptography in a python2 build environment

==== ruby-common ====

- generate bundled(rubygem($name)) = $version provides for bundled
gems in the vendor directory.

==== sg3_utils ====
Subpackages: libsgutils2-1_43-2

- Update to svn r751:
* NVMe bugfixes
* sg_seek: new utility
* sg_stream_ctl: new utility program
- 54-before-scsi-sg3_id.rules: compability rule for systemd
(bsc#1079873)
- Add dracut.conf to install new rule with dracut
- Merge local patch with git repository
* Delete sgut-libversioning.diff
- Update to svn r744:
* sg_write_x: new command for normal/atomic/orwrite etc
SCSI WRITE variants
* sg_ses: add NVMe support
* sg_inq: decode NVMe controller / NSIDs
- rescan_scsi_bus.sh: Fix manpage for --forcerescan
- 55-scsi-sg3_id.rules: fixes for scsi_id compability (bsc#1079873)
- 55-scsi-sg3_id.rules: run sg_inq for SPC devices (bsc#1079873)

==== slang ====
Subpackages: libslang2 slang-slsh

- Add upstream commit 6dd5ade9a97b52ace4ac033779a6d3c1c51db4d1 as
patch git-6dd5ade9a97b52ace4ac033779a6d3c1c51db4d1.patch (boo#1079543)
* Added support for the new ncurses 32-bit terminfo database entries

==== snappy ====
Version update (1.1.3 -> 1.1.7)

- Better neutrality of from description. Quantify "Core i7".
Trim description of SRPM and -devel as the user already has an
idea what to look for.
- Fix RPM groups.
- Version update to 1.1.7:
* Aarch64 fixes
* ppc speedups
* PIE improvements
* Switch to cmake build system
- Add patch snappy-pcfile.patch:
* Pull 55 on upstream github, was dropped when moving to cmake
of course we still need it
- Fix license install wrt bsc#1080040
- Version bump to 1.1.4
* Fix a 1% performance regression when snappy is used in PIE executables.
* Improve compression performance by 5%.
* Improve decompression performance by 20%.
- Use better download url.

==== spectacle ====
Version update (17.12.1 -> 17.12.2)
Subpackages: spectacle-lang

- Update to 17.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
* None

==== syndication ====
Version update (17.12.1 -> 17.12.2)

- Update to 17.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
* None

==== usbutils ====
Version update (008 -> 009)

- Update to usbutils 009
* usbreset: coding style
* Don't use C99-ism
* usbhid-dump: update submodule to latest version
* add usbreset.c example program
* update usbhid-dump to latest
* lsusb.py: Don't dump a trace dump if usb.ids is not present
* USB: usb-devices: Interface number can be a string
* autogen.sh: checkout usbhid-dump
* lsusb: add support for the Encoding Unit Desc for uvc 1.5
device
* lsusb: fix alignment for Video Streaming interface desc
* lsusb: parse additional control fileds in USB video control
interfaces for UVC1.5
* lsusb: proper display hexadecimal value for UVC control
interface
* usbreset.c: import usability improvements from OpenWrt
* Update lsusb.c
* Un-indent bVariableSize for Frame-Based Format descriptors
* Makefile: install pkgconfig file to arch-dependent location
* lsusb: Allocate the BOS descriptor buffer dynamically
* lsusb: Add support for the USB 3.1 SuperSpeedPlus device
capability desc
* lsusb: Fix issue with lengthy string descriptors
* lsusb: Added support for Billboard Capability descriptor
* Update usbhid-dump repo URL
* Update usbhid-dump to v1.4
* configure: remove summary about unused USE_ZLIB
* drop unused input file for usb.ids update script
* substitute usb.id location in lsusb Python script
* lsusb: remove unused variable procbususb
* lsusb: Report correct MaxPower for USB 3.0 devices
* lsusb: Request proper descriptor type for USB 3.1
* lsusb: Store link state descriptions without preceding
space
* build: Request at least libusb 1.0.9
* Added support for Platform Device Capability descriptor
* lsusb: change endianness of first three fields when printing
UUID/GUIDs.
* lsusb: Fix UVC STILL_IMAGE_FRAME descriptor
* lsusb: Fix UVC VideoStreaming interface header descriptor
* lsusb: Fix UVC OUTPUT_TERMINAL descriptor
* lsusb: print WebUSB platform descriptor
* travis-ci: add control files borrowed from libusb
* travis-ci: cleanup before second run
* travis-ci: rework travis-autogen.sh
- add fix-shebang.patch

==== xdm ====
Subpackages: xdm-xsession

- xdm.tar.bz2/Xstartup
* reverted workaround for DISPLAY being set to 'null', since the
bug is supposed to be fixed properly in gdm now (bsc#1068016)

==== yast2 ====
Version update (4.0.49 -> 4.0.50)

- Drop (x)inetd agents
- CWMServiceStart: Replace xinetd by systemd socket activation
(fate#323373)
- 4.0.50

==== yast2-add-on ====
Version update (4.0.5 -> 4.0.6)

- Made the addon=url boot option work with a multi-product medium
such as the SLE-15 Packages DVD (FATE#324656)
- 4.0.6

==== yast2-bootloader ====
Version update (4.0.15 -> 4.0.16)

- Adapt to new MountPoint API (part of fate#318196).
- 4.0.16

==== yast2-country ====
Version update (4.0.19 -> 4.0.20)
Subpackages: yast2-country-data

- Keyboard: don't try to set the keyboard map for AMBA devices,
e.g. /dev/ttyAMA0 (bsc#1080222).
- 4.0.20

==== yast2-firewall ====
Version update (4.0.11 -> 4.0.12)

- When firewall is called on ncurses or command line, an error
message is presented to the user, informing him to use firewalld
(fate#323460).
- 4.0.12

==== yast2-packager ====
Version update (4.0.35 -> 4.0.37)

- Adapt to new MountPoint API (part of fate#318196).
- 4.0.37
- only use the repo from root of installation media (bsc#1078768)
- 4.0.36

==== yast2-schema ====
Version update (3.2.0 -> 4.0.0)

- Drop yast2-inetd (fate#323373)
- 4.0.0

==== yast2-storage-ng ====
Version update (4.0.84 -> 4.0.91)

- Enable multipathd in the target system at the end of installation
if there are multipath devices (bsc#1076183).
- Updated required version of libstorage-ng-ruby (bsc#1079541).
- 4.0.91
- Add class MountPoint (needed for bsc#1076305 and bsc#1066763).
- 4.0.90
- Partitioner: fixed creation of partition tables (bsc#1078721).
- 4.0.89
- Partitioner: fixed 'Installation Summary' section (part of
fate#318196).
- 4.0.88
- AutoYaST: support additional names in the drive/device element
(bsc#1077277).
- 4.0.87

==== yast2-trans ====
Version update (84.87.20171214.b62b0550c -> 84.87.20180208.cf7cad734)
Subpackages: yast2-trans-af yast2-trans-ar yast2-trans-bg yast2-trans-bn
yast2-trans-bs yast2-trans-ca yast2-trans-cs yast2-trans-cy yast2-trans-da
yast2-trans-de yast2-trans-el yast2-trans-en_GB yast2-trans-en_US
yast2-trans-es yast2-trans-et yast2-trans-fa yast2-trans-fi yast2-trans-fr
yast2-trans-gl yast2-trans-gu yast2-trans-hi yast2-trans-hr yast2-trans-hu
yast2-trans-id yast2-trans-it yast2-trans-ja yast2-trans-jv yast2-trans-ka
yast2-trans-km yast2-trans-ko yast2-trans-lo yast2-trans-lt yast2-trans-mk
yast2-trans-mr yast2-trans-nb yast2-trans-nl yast2-trans-pa yast2-trans-pl
yast2-trans-pt yast2-trans-pt_BR yast2-trans-ro yast2-trans-ru yast2-trans-si
yast2-trans-sk yast2-trans-sl yast2-trans-sr yast2-trans-sv yast2-trans-ta
yast2-trans-th yast2-trans-tr yast2-trans-uk yast2-trans-vi yast2-trans-wa
yast2-trans-xh yast2-trans-zh_CN yast2-trans-zh_TW yast2-trans-zu

- Update to version 84.87.20180208.cf7cad734:
* Spec file update.
* Automatic update of add-on.
* Automatic update of apparmor.
* Automatic update of auth-client.
* Automatic update of autoinst.
* Automatic update of base.
* Automatic update of bootloader.
* Automatic update of ca-management.
* Automatic update of cluster.
* Automatic update of control.
* Automatic update of country.
* Automatic update of docker.
* Automatic update of fonts.
* Automatic update of geo-cluster.
* Automatic update of installation.
* Automatic update of iscsi-lio-server.
* Automatic update of kdump.
* Automatic update of network.
* Automatic update of ntp-client.
* Automatic update of packager.
* Automatic update of registration.
* Automatic update of s390.
* Automatic update of storage.
* Automatic update of update.
* Fix handling of new text domains and clean up old pot-files.
* Fix pot cleanup. Remove y2m call. Better run it before running this script
* New POT for text domain 'add-on'.
* New POT for text domain 'alternatives'.
* New POT for text domain 'auth-client'.
* New POT for text domain 'autoinst'.
* New POT for text domain 'base'.
* New POT for text domain 'bootloader'.
* New POT for text domain 'ca-management'.
* New POT for text domain 'caasp'.
* New POT for text domain 'cio'.
* New POT for text domain 'cluster'.
* New POT for text domain 'control'.
* New POT for text domain 'country'.
* New POT for text domain 'dns-server'.
* New POT for text domain 'docker'.
* New POT for text domain 'drbd'.
* New POT for text domain 'firstboot'.
* New POT for text domain 'fonts'.
* New POT for text domain 'ftp-server'.
* New POT for text domain 'geo-cluster'.
* New POT for text domain 'http-server'.
* New POT for text domain 'installation'.
* New POT for text domain 'instserver'.
* New POT for text domain 'iscsi-lio-server'.
* New POT for text domain 'isns'.
* New POT for text domain 'mail'.
* New POT for text domain 'network'.
* New POT for text domain 'nfs'.
* New POT for text domain 'nfs_server'.
* New POT for text domain 'nis'.
* New POT for text domain 'ntp-client'.
* New POT for text domain 'packager'.
* New POT for text domain 'pkg-bindings'.
* New POT for text domain 'rdp'.
* New POT for text domain 'registration'.
* New POT for text domain 'samba-client'.
* New POT for text domain 'squid'.
* New POT for text domain 'storage'.
* New POT for text domain 'storage-ng'.
* New POT for text domain 'tftp-server'.
* New POT for text domain 'yast2-apparmor'.
* Remove unused text domain (renamed to apparmor)
* Translated using Weblate (Arabic)
* Translated using Weblate (Catalan)
* Translated using Weblate (Chinese (China))
* Translated using Weblate (Chinese (Taiwan))
* Translated using Weblate (Czech)
* Translated using Weblate (Danish)
* Translated using Weblate (Dutch)
* Translated using Weblate (Esperanto)
* Translated using Weblate (French)
* Translated using Weblate (German)
* Translated using Weblate (Hungarian)
* Translated using Weblate (Indonesian)
* Translated using Weblate (Italian)
* Translated using Weblate (Japanese)
* Translated using Weblate (Korean)
* Translated using Weblate (Polish)
* Translated using Weblate (Portuguese (Brazil))
* Translated using Weblate (Russian)
* Translated using Weblate (Slovak)
* Translated using Weblate (Spanish)
* Translated using Weblate (Swedish)
* Translated using Weblate (Turkish)
* Translated using Weblate (Ukrainian)
* apparmor: Update DOMAIN_MAP
* configuration_management: Import strings from installation

==== yast2-update ====
Version update (4.0.8 -> 4.0.9)

- Adapt to new MountPoint API (part of fate#318196).
- 4.0.9

==== zstd ====

- build the static library (depency for btrfsprogs-static)


--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
Follow Ups